// test.cpp - Frecuencias de las palabras de un texto
//            introducido por el teclado
//
#include <iostream>                                                                    
#include "palabras.h"
using namespace std;

int main() // función principal
{
  CPalabras texto;
  string pal; // una palabra
  cout << "Introducir texto. Finalizar con eof.\n";
  cin >> pal;
  while(!cin.eof())
  {
    texto.InsertarPalabra(pal);
    cin >> pal;
  }
  cin.clear();
  // Buscar una palabra
  cout << "Palabra a buscar: "; cin >> pal;
  int c = texto.BuscarPalabra(pal);
  cout << "Existen " << c << " palabras " << pal << " en el texto\n";
  // Tabla de frecuencias
  texto.VisualizarTablaFrecuencias();
  cout << endl;
}

